# AdaptiveBrightness

## Build and deployment instructions

### Windows

#### Prerequisites

- Visual Studio 2019
- cmake
- Qt Library

#### Build steps

```console
> cmake -G "Visual Studio 16 2019" -A x64 -B build -DCMAKE_PREFIX_PATH="%QTDIR%\msvc2019_64\lib\cmake"
```

Use the generated `*.sln` to build.

There is an additional build step that automatically copies all required DLLs into the output directory for easy deployment.

### Linux

#### Prerequisites

Assumes Debian Buster: `sudo apt install qt5-default libqt5serialport5-dev`

#### Build steps

```console
$ cmake -B build
$ cd build
$ make
```

#### Deployment

Executable will run on any environment with the same architecture and installed libraries.
