function(adaptive_brightness_add_compile_flags target)
    if(MSVC)
        target_compile_options(${target} PUBLIC /MP)
    endif()
    target_compile_definitions(${target} PUBLIC $<$<NOT:$<CONFIG:Debug>>:QT_NO_DEBUG_OUTPUT>)
endfunction()

function(adaptive_brightness_enable_warnings target)
    if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang|AppleClang")
        target_compile_options(${target} PRIVATE -Wall -Wextra -pedantic)
    elseif(MSVC)
        target_compile_options(${target} PRIVATE /W3)
    endif()
endfunction()
